This endpoint updates campaign lead assignment i.e user mapping data for a specific campaign within a given:
It does not fetch data — it performs a state-changing operation (PUT).
curl --location --request PUT 'https://{{Cms_Domain_Name}}:{{port}}/cms/configuration/voice/campaignLeadUserMapping' \ --header 'Content-Type: application/json' \ --header 'Authorization: Basic {{authToken}}' \ --data '{ "leadId": {{leadId}}, "campaignId": {{campaignId}}, "assignedUserIds": {{assignedUserIds}}, "unassignedUserIds": {{unassignedUserIds}} }'
{campaignId}:Unique identifier of the campaign. This is dynamically generated during setup and is specific to each campaign.{leadId}:Unique identifier of the lead. Generated within the campaign context and used for mapping users to a specific lead.
cms/configuration/voice/campaignLeadUserMapping:Endpoint used to map or update user assignments for a specific lead within a campaign, under a given process and Contact Center. This API is responsible for
Assigning users to a lead
Unassigning users from a lead
{Cms_Domain_Name}: The CMS domain should be derived by replacing any existing subdomain (such as gateway, ecc, or any tenant-specific prefix) with cms.
http://gateway.bdt.cc.exotel.com → https://cms.bdt.cc.exotel.com
https://exotel.ecc-prod.cc.exotel.com → https://cms.engg-prod.cc.exotel.com
engg-prod, prod) remains unchanged while replacing only the subdomain.| Header | Value |
|---|---|
| Content-Type | application/json |
| Accept | application/json |
| authorization | Bearer {AuthToken} |
{
"leadId":{{leadId}},
"campaignId":{{campaignId}},
"assignedUserIds":["anav_agent"],
"unassignedUserIds":["exe_gs","madhur1"]
}
curl -X 'GET' \ 'https://{Cms_Domain_Name}:443/cms/configuration/cms/configuration/voice/campaignLeadUserMapping' \ -H 'accept: application/json' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer {{authToken}}'
On success, the HTTP response status code will be 200 OK .
{
"campaignLeadId": 1,
"assignedCampaignUserIds": [
1
],
"unassignedCampaignUserIds": [
3817,
3802
],
"leadId": 2,
"campaignId": 1,
"assignedUserIds": [
"anav_agent
],
"unassignedUserIds": [
"madhur1",
"exe_gs"
]
}
400 {
"statusCode": 404,
"status": "Not Found",
"errorCode": "CONF-1001",
"errorMessage": "Object doesn't exist"
}
401 {
"statusCode": 404,
"status": "Not Found",
"errorCode": "CONF-1001",
"errorMessage": "Object doesn't exist"
}
403 {
"statusCode": 404,
"status": "Not Found",
"errorCode": "CONF-1001",
"errorMessage": "Object doesn't exist"
}
404 {
"statusCode": 404,
"status": "Not Found",
"errorCode": "CONF-1001",
"errorMessage": "Object doesn't exist"
}
500 Internal Server Error
{
"statusCode": 404,
"status": "Not Found",
"errorCode": "CONF-1001",
"errorMessage": "Object doesn't exist"
}